cURL
curl --request GET \
--url https://app.aegister.com/api/v1/log-analysis \
--header 'X-Aegister-Token: <api-key>'import requests
url = "https://app.aegister.com/api/v1/log-analysis"
headers = {"X-Aegister-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Aegister-Token': '<api-key>'}};
fetch('https://app.aegister.com/api/v1/log-analysis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": 0,
"messages": "<array>",
"total": 1,
"data": [
{
"id": 123,
"report": {
"EnhancedFirewallAnalysisReport": {
"report_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"generated_at": "2023-11-07T05:31:56Z",
"summary_statistics": {
"total_entries": 123,
"parsed_entries": 123,
"allowed_connections": 123,
"denied_connections": 123,
"unique_ips": 123,
"malicious_ips": 123,
"date_range": {
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z"
},
"parsing_success_rate": 0.5
},
"threat_intelligence": {
"total_ips_analyzed": 123,
"malicious_ips_identified": 123,
"events_involving_malicious_ips": 123,
"crime_level_distribution": {
"low": 123,
"medium": 123,
"high": 123,
"critical": 123
},
"top_threat_actors": [
{
"ip_address": "127.0.0.1",
"event_count": 123,
"crime_score": 123,
"country": "<string>",
"service": "<string>",
"last_seen": "2023-11-07T05:31:56Z"
}
]
},
"atb_impact_analysis": {
"current_blocked_events": 123,
"atb_would_block": 123,
"threat_reduction_percentage": 50,
"unique_threats_blocked": 123,
"current_security_score": 50,
"improved_security_score": 50
},
"parser_statistics": {
"detected_vendor": "<string>",
"parser_used": "<string>",
"parsing_errors": 123
},
"protocol_distribution": {},
"timeline_data": [
{
"timestamp": "2023-11-07T05:31:56Z",
"malicious_events": 123,
"total_events": 123
}
],
"recommendations": [
"<string>"
],
"key_findings": [
"<string>"
]
}
},
"created_at": "2023-11-07T05:31:56Z",
"file": {
"name": "<string>",
"path": "<string>",
"size": 123,
"type": "<string>",
"stored": "<string>"
}
}
]
}Log Analysis
Get Log Analysis list
Retrieves all log-analysis
GET
/
api
/
v1
/
log-analysis
cURL
Authorizations
ApiKeyAuthApiKeyQueryParam
Query Parameters
Max number of reponse items.
Offset response items.
Order results by item field
Response
200 - application/json
Any value different from 0 indicates an error.
More details can be found in messages.
Required range:
0 <= x <= 0Example:
0
If error is 1, contains zero or more details on the error.
Example:
[]
Total number of items that meet the list filter.
This doesn't represent the number of items inside the data array.
Required range:
x >= 0Examples:
20
30
40
Show child attributes
Show child attributes
⌘I

